package com.grkj.iscs_mc.view.presenter

import com.grkj.iscs_mc.extentions.serialNo
import com.grkj.iscs_mc.model.vo.home.HomePageDataRespVO
import com.grkj.iscs_mc.util.Executor
import com.grkj.iscs_mc.util.NetApi
import com.grkj.iscs_mc.view.base.BasePresenter
import com.grkj.iscs_mc.view.iview.IMaterialHomeView

class MaterialHomePresenter : BasePresenter<IMaterialHomeView>() {

    fun getHomeData(callBack: (HomePageDataRespVO?) -> Unit) {
        NetApi.getHomePageData(mContext!!.serialNo()) {
            Executor.runOnMain {
                callBack(it)
            }
        }
    }
}